Bug 175322 - [maintainer update][patch] sysutils/isomd5sum: update to 1.0.9
[maintainer update][patch] sysutils/isomd5sum: update to 1.0.9
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-15 11:40 UTC by delgod
Modified: 2013-01-27 13:20 UTC (History)
0 users

See Also:


Attachments
isomd5sum-1.0.9.patch (7.96 KB, patch)
2013-01-15 11:40 UTC, delgod
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description delgod 2013-01-15 11:40:01 UTC
    - Update to 1.0.9
    - Add clang support
    - Add LICENSE
    - Change MASTER_SITES URL
Comment 1 Edwin Groothuis freebsd_committer 2013-01-15 11:40:15 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-01-15 11:40:16 UTC
Maintainer of sysutils/isomd5sum,

Please note that PR ports/175322 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/175322

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-01-15 11:40:17 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Mykola.Marzhan 2013-01-15 12:00:32 UTC
please commit it

-- 
Mykola Marzhan
PortaOne, Inc., Release Engineer
delgod@portaone.com
Tel: +1-866-SIP VOIP (+1 866 747 86 47) ext. 7159

PortaOne - VoIP Solutions Company
Visit our Website: http://www.portaone.com
Comment 5 Mark Linimon freebsd_committer 2013-01-15 22:53:12 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 6 dfilter freebsd_committer 2013-01-27 13:14:38 UTC
Author: rakuco
Date: Sun Jan 27 13:14:30 2013
New Revision: 311065
URL: http://svnweb.freebsd.org/changeset/ports/311065

Log:
  - Update to 1.0.9.
  - Add clang support.
  - Add LICENSE.
  - Update MASTER_SITE.
  - Trim old Makefile header.
  
  PR:		ports/175322
  Submitted by:	Mykola Marzhan <delgod@portaone.com> (maintainer)

Modified:
  head/sysutils/isomd5sum/Makefile
  head/sysutils/isomd5sum/distinfo
  head/sysutils/isomd5sum/files/patch-Makefile
  head/sysutils/isomd5sum/files/patch-md5.c

Modified: head/sysutils/isomd5sum/Makefile
==============================================================================
--- head/sysutils/isomd5sum/Makefile	Sun Jan 27 12:51:44 2013	(r311064)
+++ head/sysutils/isomd5sum/Makefile	Sun Jan 27 13:14:30 2013	(r311065)
@@ -1,19 +1,17 @@
-# New ports collection makefile for:	isomd5sum
-# Date created:				June 17, 2008
-# Whom:					Marzhan Mykola <delgod@portaone.com>
-#
+# Created by: Mykola Marzhan <delgod@portaone.com>
 # $FreeBSD$
-#
 
 PORTNAME=	isomd5sum
-PORTVERSION=	1.0.4
+PORTVERSION=	1.0.9
 PORTREVISION=	1
 CATEGORIES=	sysutils
-MASTER_SITES=	https://fedorahosted.org/releases/i/s/isomd5sum/
+MASTER_SITES=	http://git.fedorahosted.org/cgit/isomd5sum.git/snapshot/
 
 MAINTAINER=	delgod@portaone.com
 COMMENT=	Implanting and checking checksums within an ISO9660 image
 
+LICENSE=	GPLv2
+
 LIB_DEPENDS=	popt.0:${PORTSDIR}/devel/popt
 
 USE_GMAKE=	yes

Modified: head/sysutils/isomd5sum/distinfo
==============================================================================
--- head/sysutils/isomd5sum/distinfo	Sun Jan 27 12:51:44 2013	(r311064)
+++ head/sysutils/isomd5sum/distinfo	Sun Jan 27 13:14:30 2013	(r311065)
@@ -1,2 +1,2 @@
-SHA256 (isomd5sum-1.0.4.tar.bz2) = 7c113eeac39026deec395195aad10566c6f0ce97a63844f8bc023313fce53621
-SIZE (isomd5sum-1.0.4.tar.bz2) = 18486
+SHA256 (isomd5sum-1.0.9.tar.bz2) = 307736e466a84bcf15a34af301d93cba5fcb23f8bd75624dbabdf75d37eeec8d
+SIZE (isomd5sum-1.0.9.tar.bz2) = 18143

Modified: head/sysutils/isomd5sum/files/patch-Makefile
==============================================================================
--- head/sysutils/isomd5sum/files/patch-Makefile	Sun Jan 27 12:51:44 2013	(r311064)
+++ head/sysutils/isomd5sum/files/patch-Makefile	Sun Jan 27 13:14:30 2013	(r311065)
@@ -1,58 +1,77 @@
---- ./Makefile.orig	2008-02-08 04:30:07.000000000 +0000
-+++ ./Makefile	2008-06-17 17:07:37.000000000 +0000
-@@ -1,14 +1,14 @@
+--- ./Makefile.orig	2012-03-09 21:51:31.000000000 +0200
++++ ./Makefile	2012-10-10 06:07:15.000000000 +0300
+@@ -1,16 +1,16 @@
  PYVER  := $(shell python -c 'import sys; print sys.version[0:3]')
  PYTHON = python$(PYVER)
 -PYTHONINCLUDE = /usr/include/$(PYTHON)
 +PYTHONINCLUDE = ${PYTHON_INCLUDEDIR}
  
--ifneq (,$(filter ppc64 x86_64 s390x,$(shell uname -m)))
+ VERSION=1.0.9
+ 
+-ifneq (,$(filter sparc64 ppc64 x86_64 s390x,$(shell uname -m)))
 -LIBDIR = lib64
 -else
-+#ifneq (,$(filter ppc64 x86_64 s390x,$(shell uname -m)))
++#ifneq (,$(filter sparc64 ppc64 x86_64 s390x,$(shell uname -m)))
 +#LIBDIR = lib64
 +#else
  LIBDIR = lib
 -endif
 +#endif
  
--CFLAGS = $(RPM_OPT_FLAGS) -Wall -Werror -D_GNU_SOURCE=1 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE=1 -D_LARGEFILE64_SOURCE=1 -fPIC -I$(PYTHONINCLUDE)
-+CFLAGS = $(RPM_OPT_FLAGS) -Wall -Werror -D_GNU_SOURCE=1 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE=1 -D_LARGEFILE64_SOURCE=1 -fPIC -I$(PYTHONINCLUDE) -I${LOCALBASE}/include -L${LOCALBASE}/lib
+-CFLAGS += -Wall -Werror -D_GNU_SOURCE=1 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE=1 -D_LARGEFILE64_SOURCE=1 -fPIC -I$(PYTHONINCLUDE)
++CFLAGS += -Wall -Werror -D_GNU_SOURCE=1 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE=1 -D_LARGEFILE64_SOURCE=1 -fPIC -I$(PYTHONINCLUDE) -I${LOCALBASE}/include
  
  OBJECTS = md5.o libimplantisomd5.o checkisomd5.o implantisomd5
  SOURCES = $(patsubst %.o,%.c,$(OBJECTS))
-@@ -35,21 +35,21 @@
- 	$(CC) -shared -g -o pyisomd5sum.so -fpic $(PYOBJS) $(LDFLAGS)
+@@ -24,10 +24,10 @@
+ 	$(CC) -c -O $(CFLAGS) -o $@ $<
+ 
+ implantisomd5: implantisomd5.o libimplantisomd5.a
+-	$(CC) $(CFLAGS) implantisomd5.o libimplantisomd5.a -lpopt -o implantisomd5
++	$(CC) $(CFLAGS) -L${LOCALBASE}/lib implantisomd5.o libimplantisomd5.a -lpopt -o implantisomd5
+ 
+ checkisomd5: checkisomd5.o libcheckisomd5.a
+-	$(CC) $(CFLAGS) checkisomd5.o libcheckisomd5.a -lpopt -o checkisomd5
++	$(CC) $(CFLAGS) -L${LOCALBASE}/lib checkisomd5.o libcheckisomd5.a -lpopt -o checkisomd5
+ 
+ libimplantisomd5.a: libimplantisomd5.a(libimplantisomd5.o md5.o)
+ 
+@@ -39,24 +39,24 @@
+ install: all install-bin install-python install-devel
+ 
+ install-bin:
+-	install -d -m 0755 $(DESTDIR)/usr/bin
+-	install -d -m 0755 $(DESTDIR)/usr/share/man/man1
+-	install -m 0755 implantisomd5 $(DESTDIR)/usr/bin
+-	install -m 0755 checkisomd5 $(DESTDIR)/usr/bin
+-	install -m 0644 implantisomd5.1 $(DESTDIR)/usr/share/man/man1
+-	install -m 0644 checkisomd5.1 $(DESTDIR)/usr/share/man/man1
++	install -d -m 0755 $(DESTDIR)$(PREFIX)/bin
++	install -d -m 0755 $(DESTDIR)$(PREFIX)/man/man1
++	install -m 0755 implantisomd5 $(DESTDIR)$(PREFIX)/bin
++	install -m 0755 checkisomd5 $(DESTDIR)$(PREFIX)/bin
++	install -m 0644 implantisomd5.1 $(DESTDIR)$(PREFIX)/man/man1
++	install -m 0644 checkisomd5.1 $(DESTDIR)$(PREFIX)/man/man1
+ 
+ install-python:
+-	install -d -m 0755 $(DESTDIR)/usr/$(LIBDIR)/$(PYTHON)/site-packages
+-	install -m 0755 pyisomd5sum.so $(DESTDIR)/usr/$(LIBDIR)/$(PYTHON)/site-packages
++	install -d -m 0755 $(DESTDIR)$(PYTHONPREFIX_SITELIBDIR)
++	install -m 0755 pyisomd5sum.so $(DESTDIR)$(PYTHONPREFIX_SITELIBDIR)
  
- install: all
--	mkdir -p $(DESTDIR)/usr/$(LIBDIR)/$(PYTHON)/site-packages
--	mkdir -p $(DESTDIR)/usr/include
--	mkdir -p $(DESTDIR)/usr/bin
--	mkdir -p $(DESTDIR)/usr/share/man/man1
--	install -m 755 implantisomd5 $(DESTDIR)/usr/bin
--	install -m 755 checkisomd5 $(DESTDIR)/usr/bin
--	install -m 755 implantisomd5.1 $(DESTDIR)/usr/share/man/man1
--	install -m 755 checkisomd5.1 $(DESTDIR)/usr/share/man/man1
--	install -m 755 pyisomd5sum.so $(DESTDIR)/usr/$(LIBDIR)/$(PYTHON)/site-packages
-+	mkdir -p $(PYTHONPREFIX_SITELIBDIR)
-+	mkdir -p $(PREFIX)/include
-+	mkdir -p $(PREFIX)/bin
-+	mkdir -p $(PREFIX)/man/man1
-+	install -m 755 implantisomd5 $(PREFIX)/bin
-+	install -m 755 checkisomd5 $(PREFIX)/bin
-+	install -m 755 implantisomd5.1 $(PREFIX)/man/man1
-+	install -m 755 checkisomd5.1 $(PREFIX)/man/man1
-+	install -m 755 pyisomd5sum.so $(PYTHONPREFIX_SITELIBDIR)
- #	ln -s ../../bin/implantisomd5 $(DESTDIR)/usr/lib/anaconda-runtime/implantisomd5
- #	ln -s ../../bin/checkisomd5 $(DESTDIR)/usr/lib/anaconda-runtime/checkisomd5
--	install -m 644 libimplantisomd5.h $(DESTDIR)/usr/include/
--	install -m 644 libcheckisomd5.h $(DESTDIR)/usr/include/
--	install -m 644 libimplantisomd5.a $(DESTDIR)/usr/$(LIBDIR)
--	install -m 644 libcheckisomd5.a $(DESTDIR)/usr/$(LIBDIR)
-+	install -m 644 libimplantisomd5.h $(PREFIX)/include/
-+	install -m 644 libcheckisomd5.h $(PREFIX)/include/
-+	install -m 644 libimplantisomd5.a $(PREFIX)/$(LIBDIR)
-+	install -m 644 libcheckisomd5.a $(PREFIX)/$(LIBDIR)
+ install-devel:
+-	install -d -m 0755 $(DESTDIR)/usr/include
+-	install -d -m 0755 $(DESTDIR)/usr/$(LIBDIR)
+-	install -m 0644 libimplantisomd5.h $(DESTDIR)/usr/include/
+-	install -m 0644 libcheckisomd5.h $(DESTDIR)/usr/include/
+-	install -m 0644 libimplantisomd5.a $(DESTDIR)/usr/$(LIBDIR)
+-	install -m 0644 libcheckisomd5.a $(DESTDIR)/usr/$(LIBDIR)
++	install -d -m 0755 $(DESTDIR)$(PREFIX)/include
++	install -d -m 0755 $(DESTDIR)$(PREFIX)/$(LIBDIR)
++	install -m 0644 libimplantisomd5.h $(DESTDIR)$(PREFIX)/include/
++	install -m 0644 libcheckisomd5.h $(DESTDIR)$(PREFIX)/include/
++	install -m 0644 libimplantisomd5.a $(DESTDIR)$(PREFIX)/$(LIBDIR)
++	install -m 0644 libcheckisomd5.a $(DESTDIR)$(PREFIX)/$(LIBDIR)
  
  clean:
  	rm -f *.o *.so *.pyc *.a .depend *~

Modified: head/sysutils/isomd5sum/files/patch-md5.c
==============================================================================
--- head/sysutils/isomd5sum/files/patch-md5.c	Sun Jan 27 12:51:44 2013	(r311064)
+++ head/sysutils/isomd5sum/files/patch-md5.c	Sun Jan 27 13:14:30 2013	(r311065)
@@ -1,5 +1,5 @@
---- ./md5.c.orig	2008-02-08 04:30:07.000000000 +0000
-+++ ./md5.c	2008-06-17 17:05:34.000000000 +0000
+--- ./md5.c.orig	2012-10-09 13:34:42.000000000 +0300
++++ ./md5.c	2012-10-09 13:34:51.000000000 +0300
 @@ -20,13 +20,13 @@
   */
  
@@ -17,3 +17,12 @@
  
  static void byteReverse(unsigned char *buf, unsigned longs);
  
+@@ -157,7 +157,7 @@
+ 	MD5_Transform(ctx->buf, (uint32 *) ctx->in);
+ 	if (ctx->doByteReverse) byteReverse((unsigned char *) ctx->buf, 4);
+ 	memcpy(digest, ctx->buf, 16);
+-	memset(ctx, 0, sizeof(ctx));	/* In case it's sensitive */
++	memset(ctx, 0, sizeof(*ctx));	/* In case it's sensitive */
+ }
+ 
+ #ifndef ASM_MD5
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Raphael Kubo da Costa freebsd_committer 2013-01-27 13:14:55 UTC
State Changed
From-To: open->closed

Committed. Thanks!